Yapper Docs
Api reference
POST
/elements

Creates an element from image assets the caller can see. The @ID must be free in the workspace (409 conflict suggests a free one). Adding an image shares it with the whole workspace through the element.

Authorization

bearerAuth assets:write
AuthorizationBearer <token>

In: header

Scope: assets:write

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/elements" \  -H "Content-Type: application/json" \  -d '{    "mentionId": "string"  }'
{  "id": "string",  "mentionId": "string",  "tag": "string",  "name": "string",  "category": "character",  "description": "string",  "mainImage": {    "id": "string",    "type": "image",    "url": "string",    "width": 0,    "height": 0,    "name": "string",    "tag": "string",    "webUrl": "http://example.com"  },  "images": [    {      "id": "string",      "type": "image",      "url": "string",      "width": 0,      "height": 0,      "name": "string",      "tag": "string",      "webUrl": "http://example.com"    }  ],  "usable": true,  "createdByUserId": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "lastUsedAt": "2019-08-24T14:15:22Z",  "webUrl": "http://example.com",  "links": {    "self": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}